author

YanN7

Inbox View Profile
3Comments

Tell us about yourself!

  • Thank you, this helped. Is there any way to avoid this error without the --unsafe flag?

    View Instructable »
  • Thanks, this helped a lot. Unfortunately, I have another problem with the homebridge-mcuiot plugin when installing on Raspberry pi (zero W and 3B+). On my mac, it installs without errors, but the pi says:pi@raspberrypi:~ $ sudo npm install -g homebridge-mcuiot> mdns@2.4.0 install /usr/lib/node_modules/homebridge-mcuiot/node_modules/mdns> node-gyp rebuildgypERR!clean errorgypERR!stack Error: EACCES: permission denied, rmdir 'build'gypERR!System Linux 4.14.34-v7+gypERR!command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"gypERR!cwd /usr/lib/node_modules/homebridge-mcuiot/node_modules/mdnsgypERR!node -v v8.11.3gypERR!node-gyp -v v3.6.2gypERR!not oknpmERR!code ELIFECYCLEnpmERR!errno 1npmERR! mdns@2.4.0 install: …

    see more »

    Thanks, this helped a lot. Unfortunately, I have another problem with the homebridge-mcuiot plugin when installing on Raspberry pi (zero W and 3B+). On my mac, it installs without errors, but the pi says:pi@raspberrypi:~ $ sudo npm install -g homebridge-mcuiot> mdns@2.4.0 install /usr/lib/node_modules/homebridge-mcuiot/node_modules/mdns> node-gyp rebuildgypERR!clean errorgypERR!stack Error: EACCES: permission denied, rmdir 'build'gypERR!System Linux 4.14.34-v7+gypERR!command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"gypERR!cwd /usr/lib/node_modules/homebridge-mcuiot/node_modules/mdnsgypERR!node -v v8.11.3gypERR!node-gyp -v v3.6.2gypERR!not oknpmERR!code ELIFECYCLEnpmERR!errno 1npmERR! mdns@2.4.0 install: `node-gyp rebuild`npmERR! Exit status 1npmERR!npmERR! Failed at the mdns@2.4.0 install script.npmERR! This is probably not a problem with npm. There is likely additional logging output above.npmERR! A complete log of this run can be found in:npmERR! /root/.npm/_logs/2018-06-13T15_11_36_107Z-debug.logplease help me :(node -v: v8.11.3npm -v:v5.6.0

    View Instructable »